%define major   1
%define libxvmc %mklibname xvmc %{major}
%define devxvmc %mklibname xvmc -d

Name:           libxvmc
Summary:        The XvMC Library
Version:        1.0.14
Release:        %mkrel 2
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://www.x.org/releases/individual/lib/libXvMC-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xext) >= 1.0.0
BuildRequires:  pkgconfig(xv) >= 1.0.1
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
The XvMC Library.

#-----------------------------------------------------------

%package -n %{libxvmc}
Summary:        The XvMC Library
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n %{libxvmc}
The XvMC Library.

%files -n %{libxvmc}
%{_libdir}/libXvMC.so.%{major}{,.*}
%{_libdir}/libXvMCW.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxvmc}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxvmc} = %{version}-%{release}
Provides:       libxvmc-devel = %{version}-%{release}

%description -n %{devxvmc}
Development files for %{name}.

%files -n %{devxvmc}
%{_libdir}/libXvMCW.so
%{_libdir}/libXvMC.so
%{_libdir}/pkgconfig/xvmc.pc
%{_libdir}/pkgconfig/xvmc-wrapper.pc
%{_includedir}/X11/extensions/XvMClib.h
%{_includedir}/X11/extensions/vldXvMC.h
%dir %{_docdir}/libXvMC
%{_docdir}/libXvMC/XvMC_API.txt

#-----------------------------------------------------------

%prep
%autosetup -p1 -n libXvMC-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.0.14-2.mga10
+ Revision: 2224815
- Mageia 10 Mass Rebuild

* Wed Jul 03 2024 daviddavid <daviddavid> 1.0.14-1.mga10
+ Revision: 2079320
- new version: 1.0.14

* Tue Apr 26 2022 luigiwalser <luigiwalser> 1.0.13-1.mga9
+ Revision: 1854395
- 1.0.13
- update source URL

* Thu Mar 24 2022 umeabot <umeabot> 1.0.12-4.mga9
+ Revision: 1825408
- Mageia 9 Mass Rebuild

* Tue Aug 04 2020 luigiwalser <luigiwalser> 1.0.12-3.mga8
+ Revision: 1610969
- add conflicts tag for header file moved from x11-proto-devel
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 1.0.12-2.mga8
+ Revision: 1534635
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Oct 05 2019 tv <tv> 1.0.12-1.mga8
+ Revision: 1449766
- new release

* Sun Mar 17 2019 tv <tv> 1.0.11-1.mga7
+ Revision: 1378337
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.0.10-2.mga7
+ Revision: 1299277
- Mageia 7 Mass Rebuild

* Wed Oct 05 2016 tv <tv> 1.0.10-1.mga6
+ Revision: 1058898
- new release

* Fri Feb 12 2016 umeabot <umeabot> 1.0.9-2.mga6
+ Revision: 956009
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 1.0.9-1.mga6
+ Revision: 837520
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-5.mga5
+ Revision: 739615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-4.mga5
+ Revision: 681905
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-3.mga4
+ Revision: 532707
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.0.8-2.mga4
+ Revision: 469324
- drop major from devel pkg name
- drop unneeded requires
- drop ancient conflicts
- drop static devel pkg

* Fri Jun 14 2013 tv <tv> 1.0.8-1.mga4
+ Revision: 443024
- new release
- patch 0: security fixes

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.7-3.mga3
+ Revision: 397182
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 358693
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.0.7-1.mga2
+ Revision: 222143
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.0.6-2.mga2
+ Revision: 169977
- Remove .la files

* Wed Jan 12 2011 dmorgan <dmorgan> 1.0.6-1.mga1
+ Revision: 7246
- imported package libxvmc


* Mon Aug 16 2010 Thierry Vignaud <tv@mandriva.org> 1.0.6-1mdv2011.0
+ Revision: 570275
- new release

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.5-2mdv2010.1
+ Revision: 464049
- Ship docs too

  + Thierry Vignaud <tv@mandriva.org>
    - fix build
    - new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.4-5mdv2010.0
+ Revision: 425958
- rebuild

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-4mdv2009.0
+ Revision: 229746
- fix build (-ldl)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Wed Jan 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.4-2mdv2008.1
+ Revision: 153700
- Update BuildRequires and rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Feb 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-1mdv2007.0
+ Revision: 121452
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

